Ask Your Question
1

how to install the package LattE on sage in ubuntu

asked 2021-09-07 18:31:43 +0100

Ayush_Tewari gravatar image

updated 2021-09-12 17:25:01 +0100

I am getting the following error message after initial computation when running Sage (installed from source) on Ubuntu


    ---------------------------------------------------------------------------
FeatureNotPresentError                    Traceback (most recent call last)
<ipython-input-60-45e1ce1b24fb> in <module>
      3 for T in ld_greater_one:
      4     dif = T + (-T)
----> 5     print(successive_minimum(dif))
      6     #if s_min < 1/4:
      7     #if successive_minimum(dif) < 1/4:

<string> in successive_minimum(P)

/usr/lib/python3/dist-packages/sage/geometry/polyhedron/base_QQ.py in integral_points_count(self, verbose, use_Hrepresentation, explicit_enumeration_threshold, preprocess, **kwds)
    212 
    213         from sage.interfaces.latte import count
--> 214         return count(
    215                 p.cdd_Hrepresentation() if use_Hrepresentation else p.cdd_Vrepresentation(),
    216                 cdd=True,

/usr/lib/python3/dist-packages/sage/interfaces/latte.py in count(arg, ehrhart_polynomial, multivariate_generating_function, raw_output, verbose, **kwds)
    114     """
    115     # Check that LattE is present
--> 116     Latte().require()
    117 
    118     arg = str_to_bytes(arg)

/usr/lib/python3/dist-packages/sage/features/__init__.py in require(self)
    189         presence = self.is_present()
    190         if not presence:
--> 191             raise FeatureNotPresentError(self, presence.reason, presence.resolution)
    192 
    193     def __repr__(self):

FeatureNotPresentError: LattE is not available.
Executable 'count' not found on PATH.
To install count you can try to run 'sage -i latte_int'.
Further installation instructions might be available at ......

How to install the package LattE in sage. I get an error message for the command 'sage -i latte_int'. stating

sage-run received unknown option: -i usage: sage [options] Try 'sage -h' for more information.

edit retag flag offensive close merge delete

Comments

1

What version of Sage do you use? Try to install Latte package by running sage -pip install latte_int

Max Alekseyev gravatar imageMax Alekseyev ( 2021-09-09 15:50:56 +0100 )edit

1 Answer

Sort by ยป oldest newest most voted
0

answered 2021-09-12 09:51:00 +0100

slelievre gravatar image

When installing from source, one can add configure options to select extra packages to be installed.

For example, to install Sage with the latte_int package:

$ make -s V=0 configure
$ ./configure --enable-latte_int -q
$ make -s V=0

The -s, V=0 and -q parts are to set "silent mode", "low verbosity", and "quiet mode", skip them if you prefer more verbose output.

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

Stats

Asked: 2021-09-07 18:31:43 +0100

Seen: 58 times

Last updated: Sep 12